tests/test-bisect
branchstable
changeset 10147 27838bd9acf5
parent 9708 a9424b6a1a6d
child 10775 c52057614c72
--- a/tests/test-bisect	Thu Dec 24 11:40:39 2009 +0100
+++ b/tests/test-bisect	Tue Dec 29 01:03:10 2009 +0100
@@ -86,8 +86,9 @@
 set +e
 
 echo % test invalid command
+# assuming that the shell returns 127 if command not found ...
 hg bisect -r
-hg bisect --command './foobar' 2>&1 | sed 's|\(/bin/sh: \./foobar:\).*|\1 not found|'
+hg bisect --command 'exit 127'
 
 echo % test bisecting command
 cat > script.py <<EOF